XmlAttribute (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.xmlDefinition
Class XmlAttribute

    java.lang.Object
      org.apache.struts.tiles.xmlDefinition.XmlAttribute

Direct Known Subclasses:
  XmlListAttribute

    public class XmlAttribute

extends Object

A property key-value pair. This class is used to read configuration files.

Constructor Summary
`XmlAttribute()` Constructor.
`XmlAttribute(String name, Object value)` Constructor.

Method Summary
`protected Object` | `computeRealValue()` Compute real value from attributes setting.
`String` | `getAttribute()` Another access method for the name property.
`String` | `getName()` Access method for the name property.
`String` | `getRole()` Access method for the name property.
`Object` | `getValue()` Access method for the value property.
`void` | `setAttribute(String aName)` Sets the value of the name property.
`void` | `setBody(String body)` Sets the value of the value property.
`void` | `setContent(Object aValue)` Sets the value of the value property.
`void` | `setDirect(String value)` Sets the value of the value property.
`void` | `setName(String aName)` Sets the value of the name property.
`void` | `setRole(String role)` Sets the value of the name property.
`void` | `setType(String value)` Sets the value of the value property.
`void` | `setValue(Object aValue)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlAttribute

    public XmlAttribute()

  Constructor.

### XmlAttribute

    public XmlAttribute(String name,
                        Object value)

  Constructor.

Method Detail

### getName

    public String getName()

  Access method for the name property.

  Returns:
    The current value of the name property.

### setRole

    public void setRole(String role)

  Sets the value of the name property.

  Parameters:
    `role` - the new value of the name property

### getRole

    public String getRole()

  Access method for the name property.

  Returns:
    The current value of the name property.

### setName

    public void setName(String aName)

  Sets the value of the name property.

  Parameters:
    `aName` - the new value of the name property.

### getAttribute

    public String getAttribute()

  Another access method for the name property.

  Returns:
    the current value of the name property

### setAttribute

    public void setAttribute(String aName)

  Sets the value of the name property.

  Parameters:
    `aName` - the new value of the name property

### getValue

    public Object getValue()

  Access method for the value property. Return the value or a QualifiedAttribute containing the value if 'direct' is set.

  Returns:
    The current value of the value property.

### setValue

    public void setValue(Object aValue)

  Sets the value of the value property.

  Parameters:
    `aValue` - the new value of the value property

### setContent

    public void setContent(Object aValue)

  Sets the value of the value property.

  Parameters:
    `aValue` - the new value of the value property

### setBody

    public void setBody(String body)

  Sets the value of the value property.

  Parameters:
    `body` - the new value of the value property

### setDirect

    public void setDirect(String value)

  Sets the value of the value property.

  Parameters:
    `value` - the new value of the value property

### setType

    public void setType(String value)

  Sets the value of the value property.

  Parameters:
    `value` - the new value of the value property

### computeRealValue

    protected Object computeRealValue()

  Compute real value from attributes setting.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.